play.db.jpa

## Class JPAPlugin.TransactionalFilter

- java.lang.Object
- - play.PlayPlugin.Filter<java.lang.Object>
  - - play.db.jpa.JPAPlugin.TransactionalFilter

Enclosing class:
  JPAPlugin

    public class JPAPlugin.TransactionalFilter
    extends PlayPlugin.Filter<java.lang.Object>

### Nested Class Summary

### Nested classes/interfaces inherited from class play.PlayPlugin.Filter

`PlayPlugin.Filter.Function1<I,O>`

### Constructor Summary

Constructors
Constructor and Description
`TransactionalFilter(java.lang.String name)`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.Object` `withinFilter(F.Function0<java.lang.Object> fct)`

### Methods inherited from class play.PlayPlugin.Filter

`asFunction, decorate, getName`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### TransactionalFilter

    public TransactionalFilter(java.lang.String name)

### Method Detail

#### withinFilter

    public java.lang.Object withinFilter(F.Function0<java.lang.Object> fct)
                                  throws java.lang.Throwable

Specified by:
  `withinFilter` in class `PlayPlugin.Filter<java.lang.Object>`
Throws:
  `java.lang.Throwable`